Jump to content
OpenSplice DDS Forum
Yuichi IDE

DDS Security Support on Community Edition

Recommended Posts

Hello, Just I would like to know if DDS Security is supported on OSPL Community Edition.

I have already found the comment "DDS Security is supported on only Commercial Edition" on 2012.

But, I found the following comment on RTI's Community Forum...

===

The simplest way to have RTI Connext DDS send encrypted UDP packets is to use the DTLS Transport plugin (also known as the Secure Transport), which comes with RTI Secure WAN Transport, but does not actually require WAN. In the Connext DDS 5.1.0 Core Libraries and Utilities User's Manual, Sections 24.4 and 25.4 discuss how to generate certificate files using OpenSSL and configure Connext DDS to use the Secure Transport. The shipped helloWorldWAN examples show how to configure RTI Secure WAN Transport to use DTLS. From the examples and documentation, you can figure out how to configure a non-WAN DDS application to use DTLS, but here is the XML configuration for your convenience:

===

So, I expected that DTLS Transport plugin is provided on OSPL Community Edition.

Does someone know the detail?

 

Best regards,

Yuichi

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×